Index: trunk/client/modules/Elezioni/grafici/jpgraph_polar.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/jpgraph_polar.php	(revision 264)
+++ trunk/client/modules/Elezioni/grafici/jpgraph_polar.php	(revision 265)
@@ -1,12 +1,12 @@
 <?php
 /*=======================================================================
-// File: 	JPGRAPH_POLAR.PHP
-// Description:	Polar plot extension for JpGraph
-// Created: 	2003-02-02
-// Ver:		$Id: jpgraph_polar.php 1091 2009-01-18 22:57:40Z ljp $
-//
-// Copyright (c) Aditus Consulting. All rights reserved.
-//========================================================================
-*/
+ // File:        JPGRAPH_POLAR.PHP
+ // Description: Polar plot extension for JpGraph
+ // Created:     2003-02-02
+ // Ver:         $Id: jpgraph_polar.php 1796 2009-09-07 09:37:19Z ljp $
+ //
+ // Copyright (c) Asial Corporation. All rights reserved.
+ //========================================================================
+ */
 
 require_once ('jpgraph_plotmark.inc.php');
@@ -25,7 +25,7 @@
 // There were two option. 1: Re-implement everything and get a clean design
 // and 2: do some "small" trickery and be able to inherit most of
-// the functionlity from the main graph package. 
+// the functionlity from the main graph package.
 // We choose 2: here in order to save some time.
-// 
+//
 
 //--------------------------------------------------------------------------
@@ -37,7 +37,7 @@
     public $legendcsimalt='';
     public $legend="";
-    public $csimtargets=array();	// Array of targets for CSIM
-    public $csimareas="";			// Resultant CSIM area tags	
-    public $csimalts=null;			// ALT:s for corresponding target
+    public $csimtargets=array(); // Array of targets for CSIM
+    public $csimareas="";   // Resultant CSIM area tags
+    public $csimalts=null;   // ALT:s for corresponding target
     public $scale=null;
     private $numpoints=0;
@@ -46,51 +46,51 @@
     private $coord=null;
 
-    function PolarPlot($aData) {
-	$n = count($aData);
-	if( $n & 1 ) {
-	    JpGraphError::RaiseL(17001);
-//('Polar plots must have an even number of data point. Each data point is a tuple (angle,radius).');
-	}
-	$this->numpoints = $n/2;
-	$this->coord = $aData;
-	$this->mark = new PlotMark();
+    function __construct($aData) {
+        $n = count($aData);
+        if( $n & 1 ) {
+            JpGraphError::RaiseL(17001);
+            //('Polar plots must have an even number of data point. Each data point is a tuple (angle,radius).');
+        }
+        $this->numpoints = $n/2;
+        $this->coord = $aData;
+        $this->mark = new PlotMark();
     }
 
     function SetWeight($aWeight) {
-	$this->iLineWeight = $aWeight;
+        $this->iLineWeight = $aWeight;
     }
 
     function SetColor($aColor){
-	$this->iColor = $aColor;
+        $this->iColor = $aColor;
     }
 
     function SetFillColor($aColor){
-	$this->iFillColor = $aColor;
+        $this->iFillColor = $aColor;
     }
 
     function Max() {
-	$m = $this->coord[1];
-	$i=1;
-	while( $i < $this->numpoints ) {
-	    $m = max($m,$this->coord[2*$i+1]);  
-	    ++$i;
-	} 
-	return $m;
-    }
-    // Set href targets for CSIM	
+        $m = $this->coord[1];
+        $i=1;
+        while( $i < $this->numpoints ) {
+            $m = max($m,$this->coord[2*$i+1]);
+            ++$i;
+        }
+        return $m;
+    }
+    // Set href targets for CSIM
     function SetCSIMTargets($aTargets,$aAlts=null) {
-	$this->csimtargets=$aTargets;
-	$this->csimalts=$aAlts;		
-    }
- 	
+        $this->csimtargets=$aTargets;
+        $this->csimalts=$aAlts;
+    }
+
     // Get all created areas
     function GetCSIMareas() {
-	return $this->csimareas;
-    }	
-	
+        return $this->csimareas;
+    }
+
     function SetLegend($aLegend,$aCSIM="",$aCSIMAlt="") {
-	$this->legend = $aLegend;
-	$this->legendcsimtarget = $aCSIM;
-	$this->legendcsimalt = $aCSIMAlt;
+        $this->legend = $aLegend;
+        $this->legendcsimtarget = $aCSIM;
+        $this->legendcsimalt = $aCSIMAlt;
     }
 
@@ -98,48 +98,49 @@
 
     function Legend($aGraph) {
-	$color = $this->iColor ;
-	if( $this->legend != "" ) {
-	    if( $this->iFillColor!='' ) {
-		$color = $this->iFillColor;
-		$aGraph->legend->Add($this->legend,$color,$this->mark,0,
-				     $this->legendcsimtarget,$this->legendcsimalt);    
-	    }
-	    else {
-		$aGraph->legend->Add($this->legend,$color,$this->mark,$this->line_style,
-				     $this->legendcsimtarget,$this->legendcsimalt);    
-	    }
-	}
+        $color = $this->iColor ;
+        if( $this->legend != "" ) {
+            if( $this->iFillColor!='' ) {
+                $color = $this->iFillColor;
+                $aGraph->legend->Add($this->legend,$color,$this->mark,0,
+                $this->legendcsimtarget,$this->legendcsimalt);
+            }
+            else {
+                $aGraph->legend->Add($this->legend,$color,$this->mark,$this->line_style,
+                $this->legendcsimtarget,$this->legendcsimalt);
+            }
+        }
     }
 
     function Stroke($img,$scale) {
 
-	$i=0;
-	$p=array();
-	$this->csimareas='';
-	while($i < $this->numpoints) {
-	    list($x1,$y1) = $scale->PTranslate($this->coord[2*$i],$this->coord[2*$i+1]);
-	    $p[2*$i] = $x1;
-	    $p[2*$i+1] = $y1;
-	
-	    if( isset($this->csimtargets[$i]) ) {
-	        $this->mark->SetCSIMTarget($this->csimtargets[$i]);
-	        $this->mark->SetCSIMAlt($this->csimalts[$i]);
-		$this->mark->SetCSIMAltVal($this->coord[2*$i], $this->coord[2*$i+1]);
-		$this->mark->Stroke($img,$x1,$y1);
-		$this->csimareas .= $this->mark->GetCSIMAreas();
-	    }
-	    else
-		$this->mark->Stroke($img,$x1,$y1);
-
-	    ++$i;
-	}
-
-	if( $this->iFillColor != '' ) {
-	    $img->SetColor($this->iFillColor);
-	    $img->FilledPolygon($p);
-	}
-	$img->SetLineWeight($this->iLineWeight);
-	$img->SetColor($this->iColor);
-	$img->Polygon($p,$this->iFillColor!='');
+        $i=0;
+        $p=array();
+        $this->csimareas='';
+        while($i < $this->numpoints) {
+            list($x1,$y1) = $scale->PTranslate($this->coord[2*$i],$this->coord[2*$i+1]);
+            $p[2*$i] = $x1;
+            $p[2*$i+1] = $y1;
+
+            if( isset($this->csimtargets[$i]) ) {
+                $this->mark->SetCSIMTarget($this->csimtargets[$i]);
+                $this->mark->SetCSIMAlt($this->csimalts[$i]);
+                $this->mark->SetCSIMAltVal($this->coord[2*$i], $this->coord[2*$i+1]);
+                $this->mark->Stroke($img,$x1,$y1);
+                $this->csimareas .= $this->mark->GetCSIMAreas();
+            }
+            else {
+            	$this->mark->Stroke($img,$x1,$y1);
+            }
+
+            ++$i;
+        }
+
+        if( $this->iFillColor != '' ) {
+            $img->SetColor($this->iFillColor);
+            $img->FilledPolygon($p);
+        }
+        $img->SetLineWeight($this->iLineWeight);
+        $img->SetColor($this->iColor);
+        $img->Polygon($p,$this->iFillColor!='');
     }
 }
